o2cb_ctl(8)

NAME
o2cb_ctl - Control program for the O2CB cluster service.

SYNOPSIS
o2cb_ctl -C -n object -t type [-i] [-a attribute ]
o2cb_ctl -D -n object [-u]
o2cb_ctl -I [-o-z] -l manager> [-n object>] [-t type] [-a attribute]
o2cb_ctl -H [-n object] [-t type>] [-a attribute>]
o2cb_ctl -h
o2cb_ctl -V

DESCRIPTION

o2cb_ctl is the control program for the O2CB cluster service. Users are not advised to use this program directly but instead use the O2CB init service and/or ocfs2console.

OPTIONS

-C  Create an object in the OCFS2 Cluster Configuration.

-D  Delete an object from the existing OCFS2 Cluster Configuration.

-I  Print information about the OCFS2 Cluster Configuration.

-H  Change an object or objects in the existing OCFS2 Cluster Configuration.

-h  Displays help and exit.

-V  Print version and exit.

OTHER OPTIONS

-a <attribute>
    With -C, <attribute> is in format "parameter=value", where the parameter is a valid parameter that can be set in the file /etc/ocfs2/cluster.conf. With -I, <attribute> may be "parameter", indicating an attribute to be listed in the output, or it may be "parameter==value", indicating that only objects matching "parameter=value" are to be displayed.

-i  Valid only with -C. When creating something (node or cluster), it will also install it in the live cluster. If the parameter is not specified, then only update the /etc/ocfs2/cluster.conf.

-n object
    object is usually the node name or cluster name. In the /etc/ocfs2/cluster.conf file, it would be the value of the name parameter for any of the sections (cluster or node).

-o  Valid only with -I. Using this parameter, if one asks o2cb_ctl to list all nodes, it will output it in a format suitable for shell parsing.

-t type
    type can be cluster, node or heartbeat.

-u  Valid only with -D. When deleting something (node or cluster), it will also remove it from the live cluster. If the parameter is not specified, then only update the /etc/ocfs2/cluster.conf.

-z  Valid only with -I. This is the default. If one asks o2cb_ctl to list all nodes, it will give a verbose listing.

EXAMPLES

Add node5 to an offline cluster: $ o2cb_ctl -C -n node5 -t node -a number=5
    -a ip_address=192.168.0.5 -a ip_port=7777
    -a cluster=mycluster

Add node10 to an online cluster:
    $ o2cb_ctl -C -i -n node10 -t node -a number=10
        -a ip_address=192.168.1.10 -a ip_port=7777
        -a cluster=mycluster Note the -i argument.

Query the IP address of node5:
    $ o2cb_ctl -I -n node5 -a ip_address

Change the IP address of node5:
    $ o2cb_ctl -H -n node5 -a ip_address=192.168.1.5

SEE ALSO
mkfs.ocfs2(8) fsck.ocfs2(8) tunefs.ocfs2(8) mounted.ocfs2(8) ocfs2console(8) o2cb(7)

AUTHORS
Oracle Corporation

COPYRIGHT
Copyright © 2004, 2010 Oracle. All rights reserved.